* {
    box-sizing: border-box;
}

@font-face {
    src: url(fonts/Gilroy-Bold.ttf);
    font-family: Gilroy-hold;
}
@font-face {
    src: url(fonts/Gilroy-Heavy.ttf);
    font-family: Gilroy-heavy;
}
@font-face {
    src: url(fonts/Gilroy-Light.ttf);
    font-family: Gilroy-light;
}
@font-face {
    src: url(fonts/Gilroy-Medium.ttf);
    font-family: Gilroy-medium;
}
@font-face {
    src: url(fonts/Gilroy-Regular.ttf);
    font-family: Gilroy-regular;
}

body {
    font-family: Gilroy-regular;
    font-size: 14px;
    background-color: #F8F9FA;
    display: flex;
    min-height: 100vh;
    height: 100%;
}

/* ASIDE */

.aside {
    display: flex;
}

.aside__item--nav {
    width: 53px;
    height: 100%;
    background-color: #FFFF;
}

.aside__item--choose {
    width: 220px;
    height: 100%;
    background-color: #ECEDF5;
}

/* MAIN */

.main {
    width: 100%;
}

/* MAIN HEADER */

.main__item--header {
    min-height: 120px;
    background-color: #FFFF;
    display: flex;
    flex-direction: column;
}

.header__item--functions {
    height: 75px;
    padding: 0px 100px 0px 50px;
    background-color: #F8F9FA;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.functions__item--select {
    display: flex;
    align-items: center;
}

.functions__button {
    padding: 0px 14px;
    text-transform: uppercase;
    color: #FFFF;
    background-color: #61D5DF;
    border: none;
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    cursor: pointer;
}

.select__button {
    height: 32px;
}

.select__divider {
    width: 1px;
    height: 23px;
    background-color: #979797;
    margin: 0px 12px;
}

.select__products {
    font-weight: bold;
    font-size: 12px;
}

.functions__item--search {
    display: flex;
    align-items: center;

}

.search__item--field {
    /* max-width: 480px; */
    width: 451px;
    height: 40px;
}

.search__field {
    width: 100%;
    height: 100%;
    padding: 0px 16px;
    border: 1px solid #cacaca;
    border-radius: 8px 0px 0px 8px;
    border-right: none;
    outline: none;
    margin-left: 5px;
}

.search__item--button {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ffff;
    border: 1px solid #cacaca;
    border-radius: 0px 8px 8px 0px;
    border-left: none;
    height: 40px;
    cursor: pointer;
    padding: 0px 10px;
}

.fa-search {
    transform: scaleX(-1);
    color: grey;
    opacity: 0.5;
}

.search__item--bars {
    display: none;
}

.fa-bars--search {
    display: none;
}

.search__item--add {
    height: 40px;
    margin-left: 10px;
}

.search__item--question {
    background-color: transparent;
    text-align: center;
    height: 25px;
    width: 25px;
    border: 2px solid #49547D;
    border-radius: 50%;
    color: #49547D;
    font-weight: bold;
    margin-left: 10px;
    cursor: pointer;
    flex-shrink: 0;
}

.header__item--sort {
    height: 60px;

    display: flex;
    align-items: center;
    padding: 0px 50px;
    height: 47px;
}

.fa-bars--sort {
    color: #B6B9CA;
}

.main__item--catalog {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    padding: 20px;

    overflow-y: scroll;
    height: calc(100vh - 122px);
    max-height: 2000px;
}

.catalog__item {
    flex: 1 295.8px;
    min-height: 282px; 
    max-height: 300px;
    max-width: 500px;
    background: #FFFF;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    border: 1px solid #e4e5ec;
    border-radius: 8px;
    cursor: pointer;

    position: relative;
}

.product__item--options {
    display: none;
}

.product__item--options label {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 50%;
    cursor: pointer;
    height: 20px;
    left: 10px;
    position: absolute;
    top: 10px;
    width: 20px;
}

.product__item--options label:after {
    border: 2px solid #fff;
    border-top: none;
    border-right: none;
    content: "";
    height: 4px;
    left: 3px;
    opacity: 0;
    position: absolute;
    top: 5px;
    transform: rotate(-45deg);
    width: 10px;
}

.product__item--options input[type="checkbox"] {
    visibility: hidden;
}

.product__item--options input[type="checkbox"]:checked + label {
    background-color: #61D4DF;
    border-color: #61D4DF;
}
  
.product__item--options input[type="checkbox"]:checked + label:after {
    opacity: 1;
}
  
.catalog__item:hover {
    box-shadow: 0 0 0 2px #61D4DF;
}

.catalog__item:hover .product__item--options {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 10px;
    position: absolute;
}

.options__item--button {
    background-color: #61D4DF;
    color: white;
    border-radius: 3px;
    border: none;
    height: 30px;
    font-family: Gilroy-medium;
}

.options__item--checkbox:checked {
    background-color: gray;
}

.product__item--image {
    width: 100%;
    height: 185px;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.product__img {
    max-width: 100%;
    max-height: 100%;
}

.product__heading {
    padding: 0px 16px 11px;
    font-size: 14px;
    text-transform: uppercase;
    margin: 0;
}
.product__item--price {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 1px solid #cacaca;
    padding: 10px;
}

.header__item--sort {
    border-bottom: 1px solid #DBE0F3;
}

.sort__item {
    margin: 0px 3px;
}

.sort__item--text {
    color: grey;
}

#sort {
    background-color: transparent;
    border: none;
    color: grey;
    outline: none;
    font-size: 15px;
    font-weight: 500;
}

@media screen and (max-width: 1430px) {
    .search__item--field {
        width: auto;
    }
}

@media screen and (max-width: 1385px) {

    .header__item--functions {
        padding: 0px 50px;
    }
    .functions__button {
        font-size: 10px;
    }
}

@media screen and (max-width: 1070px) {
    .aside__item--nav {
        display: none;
    }
    .search__item--bars {
        display: block;
    }
    .fa-bars--search {
        display: block;
        margin-left: 10px;
        font-size: 20px;
        color: #49547D;
    } 
}

@media screen and (max-width: 930px) {
    .aside__item--choose {
        display: none;
    }
}

@media screen and (max-width: 700px) {
    .search__item--field {
        display: none;
    }
    .search__item--button {
        border: 1px solid #cacaca;
        border-radius: 8px;
        margin-left: 5px;
    }
}

@media screen and (max-width: 668px) {
    .main__item--catalog {
        justify-content: center;
    }
} 
